* {
    box-sizing: border-box;
}
a{
    text-decoration: none;
    color: #04AA6D;
}
h2{
    color: #02613e;
    margin: 30px;
}
h3{
    color: #02613e;
    margin: 30px;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
}

header {
    background-color: #e4e3e3;
    padding: 10px;
    text-align: center;
    color: rgb(210, 82, 40);
}

.logo img{
    float: left;
    width: 90px;
    height: 90px;
    border-radius: 30px;
    margin: 0;
    padding: 0;
}

.navi{
    margin: 0;
    padding: 10px;
    background-color: rgb(159, 161, 163);
}

.navi a{
 
    color: #f2f2f2;
    text-align: center;
    padding: 10px 12px;
    text-decoration: none;
    font-size: 17px;
}
.navi a:hover{
    background-color: #ddd;
    color: black;
}
.navi a:active{
    background-color: #4CAF50;
    color: white;
}

footer{
    width: 100%;
    background-color: #e4e3e3 ;
    padding: 10px;
    margin-top: 10px;
    height: 50px;
    display: flex;
    flex-direction:row ;
}
footer p {
    margin-left: 15px;
}

/* tables */

.tab-category{
    width: 100%;
    border-collapse: collapse;
}
.tab-category td, .tab-category th {
    border: 1px solid #ddd;
    padding: 8px;
}
.tab-category tr:nth-child(even){background-color: #f2f2f2;}

.tab-category tr:hover {background-color: #ddd;}

.tab-category th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #04AA6D;
    color: white;
  }
.tab-category a{
    text-decoration: none;
    color: #04AA6D;
}

.tab-category a:hover{
    color: #f2f2f2;
}

.button1{
    padding: 10px 12px;
    background-color: #04AA6D;
    color: white;
    border: none;
    border-radius: 4px;
}
.button1 a{
    text-decoration: none;
    color: white;
    cursor: pointer;

}
.button1 a:hover{
    color: #e01212;
    
}
.add-form{
    width: 100%;
    padding: 10px;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
}
.add-form input[type=text], .add-form input[type=number]{
    width: 50%;
    align-items: center;
    padding: 10px;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
}
.add-form input[type=submit]{
    padding: 14px 16px;
    background-color: #04AA6D;
    width: 60px;
    color: white;
    border: none;
    border-radius: 4px;
}
.add-form input[type=submit]:hover{
    background-color: rgb(15, 82, 15);
    cursor: pointer;
}
.topic-wrapper{
    width:400px;
    height:300px;
    margin-left:400px;
    margin-top:30px;
    background-color: #ddd;
    display: flex;
    flex-direction: column;
}
.topic-form input{
    width:300px;
    height:30px;
    margin-left:30px;
    margin-top:10px;
    border-radius: 5px;
}
.topic-form input:hover{
    background-color: #093c12;
    cursor: pointer;
}
.topic-form textarea{
    width:300px;
    height:100px;
    margin-left:30px;
    margin-top:30px;
    border-radius: 5px;
}

.topic-form #title{
    margin-top:0 auto;
}

.topic-title{
    width:700px;
    border-left: 7px solid #04AA6D;
    padding:10px;
    margin:30px;
    background-color: #e4e3e3;
}
/*register form*/

.form-wrapper {
    width: 450px;
    height: 500px;
    margin: 60px auto;
    background: #fff;
    border-radius: 5px;
    box-shadow: 0px 0px 3px #ccc;
}

.form-wrapper h2 {
    text-align: center;
    padding-top: 40px;
    font-family: 'Ubuntu', sans-serif;
    font-weight: bold;
    font-size: 40px;
    margin-bottom: 0px;
}

.form-wrapper p a:hover {
    color: #179b77;
}

.form-wrapper form {
    padding: 30px 30px 15px 30px;
}

.form-wrapper .form-item {
    margin-bottom: 10px;
    width: 100%;
}

.form-wrapper .form-item .button-panel {
    margin-bottom: 20px;
}

.form-wrapper .form-item input {
    width: 100%;
    border: none;
    border-radius: 5px;
    padding: 8px;
    font-family: 'Ubuntu', sans-serif;
    font-weight: bold;
    font-size: 14px;
}

.form-wrapper .form-item input:focus {
    outline: none;
}

.form-wrapper .button-panel .button {
    padding: 10px 30px;
    border-radius: 5px;
    background: #1ab188;
    border: none;
    font-family: 'Ubuntu', sans-serif;
    font-weight: bold;
    color: #fff;
    cursor: pointer;
}

.form-wrapper .button-panel .button:hover {
    background: #0b765a;
}

.form-wrapper .form-footer {
    text-align: center;
    padding-top: 10px;
    font-family: 'Ubuntu', sans-serif;
    font-weight: bold;
    font-size: 12px;
}

.form-wrapper .form-footer p {
    color: #1ab188;
    text-decoration: none;
    font-size: 20px;
}